package message

import "time"

type Sender interface {
	Send(string) error
	SendTracked(string) (string, error)
	Update(string, string) (string, error)
	Receive() ([]Message, error)
}

type Message struct {
	Sender    string
	Content   string
	Timestamp time.Time
}
